package com.ruoyi.project.training.elearn.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考试对象 t_el_exam
 *
 * @author ssy
 * @date 2024-05-29
 */
public class TElExam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long examId;

    /** 考试名称 */
    @Excel(name = "考试名称")
    private String title;

    /** 考试内容 */
    @Excel(name = "考试内容")
    private String content;

    /** 1公开2部门3定员 */
    @Excel(name = "1公开2部门3定员")
    private Long openType;

    /** 考试状态 */
    @Excel(name = "考试状态")
    private Long state;

    /** 是否限时 */
    @Excel(name = "是否限时")
    private Long timeLimit;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examStartTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examEndTime;

    /** 总分 */
    @Excel(name = "总分")
    private Long totalScore;

    /** 总时长 */
    @Excel(name = "总时长")
    private Long totalTime;

    /** 及格分 */
    @Excel(name = "及格分")
    private Long qualifyScore;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 类型 */
    private Integer examType;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private List<TElExamRepo> repoList;

    public void setExamId(Long examId)
    {
        this.examId = examId;
    }

    public Long getExamId()
    {
        return examId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setOpenType(Long openType)
    {
        this.openType = openType;
    }

    public Long getOpenType()
    {
        return openType;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState()
    {
        return state;
    }
    public void setTimeLimit(Long timeLimit)
    {
        this.timeLimit = timeLimit;
    }

    public Long getTimeLimit()
    {
        return timeLimit;
    }
    public void setExamStartTime(Date examStartTime)
    {
        this.examStartTime = examStartTime;
    }

    public Date getExamStartTime()
    {
        return examStartTime;
    }
    public void setExamEndTime(Date examEndTime)
    {
        this.examEndTime = examEndTime;
    }

    public Date getExamEndTime()
    {
        return examEndTime;
    }
    public void setTotalScore(Long totalScore)
    {
        this.totalScore = totalScore;
    }

    public Long getTotalScore()
    {
        return totalScore;
    }
    public void setTotalTime(Long totalTime)
    {
        this.totalTime = totalTime;
    }

    public Long getTotalTime()
    {
        return totalTime;
    }
    public void setQualifyScore(Long qualifyScore)
    {
        this.qualifyScore = qualifyScore;
    }

    public Long getQualifyScore()
    {
        return qualifyScore;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public List<TElExamRepo> getRepoList() {
        return repoList;
    }

    public Integer getExamType() {
        return examType;
    }

    public void setExamType(Integer examType) {
        this.examType = examType;
    }

    public void setRepoList(List<TElExamRepo> repoList) {
        this.repoList = repoList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examId", getExamId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("openType", getOpenType())
            .append("state", getState())
            .append("timeLimit", getTimeLimit())
            .append("examStartTime", getExamStartTime())
            .append("examEndTime", getExamEndTime())
            .append("totalScore", getTotalScore())
            .append("totalTime", getTotalTime())
            .append("qualifyScore", getQualifyScore())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
